com.holonplatform.vaadin.components.builders

## Interface PropertyListingBuilder.GridPropertyListingBuilder

- All Superinterfaces:
    BaseItemDataSourceComponentBuilder<PropertyListingBuilder.GridPropertyListingBuilder>, ComponentBuilder<PropertyListing,PropertyListingBuilder.GridPropertyListingBuilder>, ComponentConfigurator<PropertyListingBuilder.GridPropertyListingBuilder>, ComponentPostProcessorSupport<com.vaadin.ui.Grid<com.holonplatform.core.property.PropertyBox>,PropertyListingBuilder.GridPropertyListingBuilder>, ItemDataSourceComponentBuilder<com.holonplatform.core.property.PropertyBox,PropertyListing,PropertyListingBuilder.GridPropertyListingBuilder>, ItemListingBuilder<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property,PropertyListing,PropertyListingBuilder.GridPropertyListingBuilder,com.vaadin.ui.Grid<com.holonplatform.core.property.PropertyBox>>, ItemListingBuilder.BaseGridItemListingBuilder<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property,PropertyListing,PropertyListingBuilder.GridPropertyListingBuilder>, PropertyListingBuilder<PropertyListingBuilder.GridPropertyListingBuilder,com.vaadin.ui.Grid<com.holonplatform.core.property.PropertyBox>>
  Enclosing interface:
    PropertyListingBuilder<B extends PropertyListingBuilder<B,X>,X extends com.vaadin.ui.Component>

      public static interface PropertyListingBuilder.GridPropertyListingBuilder
      extends PropertyListingBuilder<PropertyListingBuilder.GridPropertyListingBuilder,com.vaadin.ui.Grid<com.holonplatform.core.property.PropertyBox>>, ItemListingBuilder.BaseGridItemListingBuilder<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property,PropertyListing,PropertyListingBuilder.GridPropertyListingBuilder>

  Builder to create `PropertyListing` components using a `Grid` as backing component.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.PropertyListingBuilder

      `PropertyListingBuilder.GridPropertyListingBuilder`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ItemListingBuilder

      `ItemListingBuilder.BaseGridItemListingBuilder<T,P,C extends ItemListing<T,P>,B extends ItemListingBuilder.BaseGridItemListingBuilder<T,P,C,B>>, ItemListingBuilder.FooterBuilder<P>, ItemListingBuilder.GridFooterGenerator<T,P>, ItemListingBuilder.GridItemListingBuilder<T>, ItemListingBuilder.GridSection<ROWTYPE>, ItemListingBuilder.HeaderBuilder<P>, ItemListingBuilder.ListingFooterRow<P>, ItemListingBuilder.ListingHeaderRow<P>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T,E extends com.vaadin.data.HasValue<T> & com.vaadin.ui.Component> PropertyListingBuilder.GridPropertyListingBuilder` | `editor(com.holonplatform.core.property.Property<T> property, E editor)` Set the field to use for given property in edit mode.
    `<T> PropertyListingBuilder.GridPropertyListingBuilder` | `render(com.holonplatform.core.property.Property<T> property, com.vaadin.ui.renderers.Renderer<? super T> renderer)` Set a custom `Renderer` for given item property.
    `<T,P> PropertyListingBuilder.GridPropertyListingBuilder` | `render(com.holonplatform.core.property.Property<T> property, com.vaadin.data.ValueProvider<T,P> presentationProvider, com.vaadin.ui.renderers.Renderer<? super P> renderer)` Set a custom `Renderer` and presentation provider for given item property.
    `default <T> PropertyListingBuilder.GridPropertyListingBuilder` | `withValidator(com.holonplatform.core.property.Property<T> property, com.holonplatform.core.Validator<T> validator)` Adds a `Validator` to the field bound to given `property` in the item listing editor.
    `<T> PropertyListingBuilder.GridPropertyListingBuilder` | `withValidator(com.holonplatform.core.property.Property<T> property, com.vaadin.data.Validator<T> validator)` Adds a `Validator` to the field bound to given `property` in the item listing editor.

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.PropertyListingBuilder

      `dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ItemListingBuilder.BaseGridItemListingBuilder

      `commitOnRemove, commitOnSave, detailsGenerator, editorBuffered, editorCancelCaption, editorCancelCaption, editorCancelCaption, editorSaveCaption, editorSaveCaption, editorSaveCaption, expandRatio, footer, footerGenerator, frozenColumns, header, heightByContents, heightByRows, hidingToggleCaption, hidingToggleCaption, hidingToggleCaption, maxWidth, minimumWidthFromContent, minWidth, required, required, required, required, resizable, withEditorCancelListener, withEditorOpenListener, withEditorSaveListener, withValidator, withValidator`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ItemListingBuilder

      `alignment, buffered, build, build, columnHidingAllowed, columnReorderingAllowed, commitHandler, defaultValue, editable, editable, footerVisible, header, header, header, hidable, hidden, hideHeaders, itemDescriptionGenerator, readOnly, rowHeight, selectAllCheckBoxVisibility, selectionMode, sortable, sortGenerator, sortUsing, style, style, width, withItemClickListener, withPropertyReorderListener, withPropertyResizeListener, withPropertyVisibilityListener, withRowStyle, withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ItemDataSourceComponentBuilder

      `dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.BaseItemDataSourceComponentBuilder

      `autoRefresh, batchSize, defaultSort, fixedFilter, fixedSort, maxCacheSize, queryParameter, withQueryConfigurationProvider`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentBuilder

      `build, deferLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.components.builders.ComponentPostProcessorSupport

      `withPostProcessor`

- - ### Method Detail

    - #### editor

          <T,E extends com.vaadin.data.HasValue<T> & com.vaadin.ui.Component> PropertyListingBuilder.GridPropertyListingBuilder editor(com.holonplatform.core.property.Property<T> property,
                                                                                                                                       E editor)

      Set the field to use for given property in edit mode.
      Type Parameters:
        `T` - Property type
        `E` - Editor field type
      Parameters:
        `property` - Item property to set the editor for (not null)
        `editor` - Editor field (not null)
      Returns:
        this

    - #### withValidator

          default <T> PropertyListingBuilder.GridPropertyListingBuilder withValidator(com.holonplatform.core.property.Property<T> property,
                                                                                      com.holonplatform.core.Validator<T> validator)

      Adds a `Validator` to the field bound to given `property` in the item listing editor.
      Type Parameters:
        `T` - Property type
      Parameters:
        `property` - Property (not null)
        `validator` - Validator to add (not null)
      Returns:
        this

    - #### withValidator

          <T> PropertyListingBuilder.GridPropertyListingBuilder withValidator(com.holonplatform.core.property.Property<T> property,
                                                                              com.vaadin.data.Validator<T> validator)

      Adds a `Validator` to the field bound to given `property` in the item listing editor.
      Type Parameters:
        `T` - Property type
      Parameters:
        `property` - Property (not null)
        `validator` - Validator to add (not null)
      Returns:
        this

    - #### render

          <T> PropertyListingBuilder.GridPropertyListingBuilder render(com.holonplatform.core.property.Property<T> property,
                                                                       com.vaadin.ui.renderers.Renderer<? super T> renderer)

      Set a custom `Renderer` for given item property.
      Type Parameters:
        `T` - Property type
      Parameters:
        `property` - Item property to set the renderer for (not null)
        `renderer` - Renderer to use
      Returns:
        this

    - #### render

          <T,P> PropertyListingBuilder.GridPropertyListingBuilder render(com.holonplatform.core.property.Property<T> property,
                                                                         com.vaadin.data.ValueProvider<T,P> presentationProvider,
                                                                         com.vaadin.ui.renderers.Renderer<? super P> renderer)

      Set a custom `Renderer` and presentation provider for given item property.
      Type Parameters:
        `T` - Property type
        `P` - Presentation value type
      Parameters:
        `property` - Item property to set the renderer for
        `presentationProvider` - Presentation provider
        `renderer` - Renderer to use
      Returns:
        this

Copyright © 2017 The Holon Platform. All rights reserved.